Api - Create Or Update
Membuat baru atau memperbarui API tertentu yang sudah ada dari instans layanan API Management.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/apis/{apiId}?api-version=2025-03-01-preview
Parameter URI
| Nama | Dalam | Diperlukan | Jenis | Deskripsi |
|---|---|---|---|---|
|
api
|
path | True |
string minLength: 1maxLength: 80 pattern: ^[^*#&+:<>?]+$ |
ID revisi API. Harus unik dalam instans layanan API Management saat ini. Revisi yang tidak saat ini memiliki ; rev=n sebagai akhiran di mana n adalah nomor revisi. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Nama grup sumber daya. Nama tidak sensitif terhadap penggunaan huruf besar atau kecil. |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
Nama layanan API Management. |
|
subscription
|
path | True |
string minLength: 1 |
ID langganan target. |
|
api-version
|
query | True |
string minLength: 1 |
Versi API yang digunakan untuk operasi ini. |
Header Permintaan
| Nama | Diperlukan | Jenis | Deskripsi |
|---|---|---|---|
| If-Match |
string |
ETag Entitas. Tidak diperlukan saat membuat entitas, tetapi diperlukan saat memperbarui entitas. |
Isi Permintaan
| Nama | Diperlukan | Jenis | Deskripsi |
|---|---|---|---|
| properties.path | True |
string minLength: 0maxLength: 400 |
URL relatif secara unik mengidentifikasi API ini dan semua jalur sumber dayanya dalam instans layanan API Management. Ini ditambahkan ke URL dasar titik akhir API yang ditentukan selama pembuatan instans layanan untuk membentuk URL publik untuk API ini. |
| apiRevision |
string minLength: 1maxLength: 100 |
Menjelaskan revisi API. Jika tidak ada nilai yang disediakan, revisi default 1 dibuat |
|
| apiRevisionDescription |
string maxLength: 256 |
Deskripsi Revisi API. |
|
| apiVersion |
string maxLength: 100 |
Menunjukkan pengidentifikasi versi API jika API diberi versi |
|
| apiVersionDescription |
string maxLength: 256 |
Deskripsi Versi API. |
|
| apiVersionSetId |
string |
Pengidentifikasi sumber daya untuk ApiVersionSet terkait. |
|
| authenticationSettings |
Kumpulan pengaturan autentikasi yang disertakan dalam API ini. |
||
| contact |
Informasi kontak untuk API. |
||
| description |
string |
Deskripsi API. Dapat mencakup tag pemformatan HTML. |
|
| isCurrent |
boolean |
Menunjukkan apakah revisi API adalah revisi api saat ini. |
|
| license |
Informasi lisensi untuk API. |
||
| properties.apiType |
Jenis API yang akan dibuat.
|
||
| properties.apiVersionSet |
Detail set versi |
||
| properties.displayName |
string minLength: 1maxLength: 300 |
Nama API. Panjangnya harus 1 hingga 300 karakter. |
|
| properties.format |
Format Konten tempat API diimpor. Format baru dapat ditambahkan di masa mendatang |
||
| properties.protocols |
Protocol[] |
Menjelaskan protokol mana yang dapat dipanggil oleh operasi dalam API ini. |
|
| properties.serviceUrl |
string minLength: 0maxLength: 2000 |
URL absolut layanan backend yang mengimplementasikan API ini. Panjangnya tidak boleh lebih dari 2000 karakter. |
|
| properties.sourceApiId |
string |
Pengidentifikasi API dari API sumber. |
|
| properties.translateRequiredQueryParameters |
Strategi menerjemahkan parameter kueri yang diperlukan ke parameter templat. Secara default memiliki nilai 'templat'. Nilai yang mungkin: 'templat', 'kueri' |
||
| properties.value |
string |
Nilai konten saat Mengimpor API. |
|
| properties.wsdlSelector |
Kriteria untuk membatasi impor WSDL ke subset dokumen. |
||
| subscriptionKeyParameterNames |
Protokol tempat API tersedia. |
||
| subscriptionRequired |
boolean |
Menentukan apakah API atau Langganan produk diperlukan untuk mengakses API. |
|
| termsOfServiceUrl |
string |
URL ke Ketentuan Layanan untuk API. HARUS dalam format URL. |
|
| type |
Jenis API. |
Respons
| Nama | Jenis | Deskripsi |
|---|---|---|
| 200 OK |
Permintaan itu berhasil. Header
|
|
| 201 Created |
Permintaan telah berhasil dan sumber daya baru telah dibuat sebagai hasilnya. Header
|
|
| Other Status Codes |
Respons kesalahan tak terduga. |
Keamanan
azure_auth
Alur OAuth2 Azure Active Directory.
Jenis:
oauth2
Alur:
implicit
URL Otorisasi:
https://login.microsoftonline.com/common/oauth2/authorize
Cakupan
| Nama | Deskripsi |
|---|---|
| user_impersonation | meniru akun pengguna Anda |
Contoh
ApiManagementCreateApi
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"authenticationSettings": {
"oAuth2": {
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
}
},
"displayName": "apiname1463",
"protocols": [
"https",
"http"
],
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": {
"oAuth2": {
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
"oAuth2AuthenticationSettings": [
{
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
}
]
},
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": {
"oAuth2": {
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
"oAuth2AuthenticationSettings": [
{
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
}
]
},
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
ApiManagementCreateApiClone
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api2?api-version=2025-03-01-preview
{
"properties": {
"path": "echo2",
"description": "Copy of Existing Echo Api including Operations.",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"serviceUrl": "http://echoapi.cloudapp.net/api",
"sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58a4aeac497000007d040001",
"subscriptionRequired": true
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "echoapi2",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
"properties": {
"path": "echo2",
"description": "Copy of Existing Echo Api including Operations.",
"apiRevision": "1",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "echoapi2",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapi2",
"properties": {
"path": "echo2",
"description": "Copy of Existing Echo Api including Operations.",
"apiRevision": "1",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
ApiManagementCreateApiNewVersionUsingExistingApi
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3?api-version=2025-03-01-preview
{
"properties": {
"path": "echo2",
"description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
"apiVersion": "v4",
"apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"serviceUrl": "http://echoapi.cloudapp.net/api",
"sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoPath",
"subscriptionRequired": true
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "echoapiv3",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
"properties": {
"path": "echo2",
"description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
"apiRevision": "1",
"apiVersion": "v4",
"apiVersionSet": {
"name": "Echo API2",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"versioningScheme": "Segment"
},
"apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "echoapiv3",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echoapiv3",
"properties": {
"path": "echo2",
"description": "Create Echo API into a new Version using Existing Version Set and Copy all Operations.",
"apiRevision": "1",
"apiVersion": "v4",
"apiVersionSet": {
"name": "Echo API2",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"versioningScheme": "Segment"
},
"apiVersionSetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apiVersionSets/aa9c59e6-c0cd-4258-9356-9ca7d2f0b458",
"displayName": "Echo API2",
"isCurrent": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
ApiManagementCreateApiRevisionFromExistingApi
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3?api-version=2025-03-01-preview
{
"properties": {
"path": "echo",
"apiRevisionDescription": "Creating a Revision of an existing API",
"serviceUrl": "http://echoapi.cloudapp.net/apiv3",
"sourceApiId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "echo-api;rev=3",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
"properties": {
"path": "echo",
"apiRevision": "3",
"apiRevisionDescription": "Creating a Revision of an existing API",
"displayName": "Echo API",
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/apiv3",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "echo-api;rev=3",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/echo-api;rev=3",
"properties": {
"path": "echo",
"apiRevision": "3",
"apiRevisionDescription": "Creating a Revision of an existing API",
"displayName": "Echo API",
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://echoapi.cloudapp.net/apiv3",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
},
"subscriptionRequired": true
}
}
ApiManagementCreateApiUsingImportOverrideServiceUrl
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview
{
"properties": {
"format": "swagger-link",
"path": "petstoreapi123",
"serviceUrl": "http://petstore.swagger.wordnik.com/api",
"value": "http://apimpimportviaurl.azurewebsites.net/api/apidocs/"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apidocs",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
"properties": {
"path": "petstoreapi123",
"description": "This is a sample server Petstore server. You can find out more about Swagger \n at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger. For this sample,\n you can use the api key \"special-key\" to test the authorization filters",
"apiRevision": "1",
"displayName": "Swagger Sample App",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.wordnik.com/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apidocs",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs",
"properties": {
"path": "petstoreapi123",
"description": "This is a sample server Petstore server. You can find out more about Swagger \n at <a href=\"http://swagger.wordnik.com\">http://swagger.wordnik.com</a> or on irc.freenode.net, #swagger. For this sample,\n you can use the api key \"special-key\" to test the authorization filters",
"apiRevision": "1",
"displayName": "Swagger Sample App",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.wordnik.com/api",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiUsingOai3Import
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview
{
"properties": {
"format": "openapi-link",
"path": "petstore",
"value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v1",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v1",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiUsingOai3ImportWithTranslateRequiredQueryParametersConduct
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview
{
"properties": {
"format": "openapi-link",
"path": "petstore",
"translateRequiredQueryParameters": "template",
"value": "https://raw.githubusercontent.com/OAI/OpenAPI-Specification/master/examples/v3.0/petstore.yaml"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v1",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v1",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiUsingSwaggerImport
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview
{
"properties": {
"format": "swagger-link-json",
"path": "petstore",
"value": "http://petstore.swagger.io/v2/swagger.json"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"http"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "petstoreapi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstoreapi",
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"apiRevision": "1",
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"http"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiUsingWadlImport
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/petstore?api-version=2025-03-01-preview
{
"properties": {
"format": "wadl-link-json",
"path": "collector",
"value": "https://developer.cisco.com/media/wae-release-6-2-api-reference/wae-collector-rest-api/application.wadl"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "collectorwadl",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
"properties": {
"path": "collector",
"description": "",
"apiRevision": "1",
"displayName": "http://localhost:8080/collector-northbound",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://localhost:8080/collector-northbound",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "collectorwadl",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/collectorwadl",
"properties": {
"path": "collector",
"description": "",
"apiRevision": "1",
"displayName": "http://localhost:8080/collector-northbound",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://localhost:8080/collector-northbound",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateApiWithMultipleAuthServers
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"authenticationSettings": {
"oAuth2AuthenticationSettings": [
{
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
{
"authorizationServerId": "authorizationServerId2284",
"scope": "oauth2scope2581"
}
]
},
"displayName": "apiname1463",
"protocols": [
"https",
"http"
],
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": {
"oAuth2": {
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
"oAuth2AuthenticationSettings": [
{
"authorizationServerId": "authorizationServerId2283",
"scope": "oauth2scope2580"
},
{
"authorizationServerId": "authorizationServerId2284",
"scope": "oauth2scope2581"
}
]
},
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
ApiManagementCreateApiWithMultipleOpenIdConnectProviders
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"authenticationSettings": {
"openidAuthenticationSettings": [
{
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2283"
},
{
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2284"
}
]
},
"displayName": "apiname1463",
"protocols": [
"https",
"http"
],
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": {
"openid": {
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2283"
},
"openidAuthenticationSettings": [
{
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2283"
},
{
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "openidProviderId2284"
}
]
},
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://newechoapi.cloudapp.net/api",
"subscriptionKeyParameterNames": {
"header": "header4520",
"query": "query3037"
}
}
}
ApiManagementCreateApiWithOpenIdConnect
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"authenticationSettings": {
"openid": {
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "testopenid"
}
},
"displayName": "Swagger Petstore",
"protocols": [
"https"
],
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "58da4c4ccdae970a08121230",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"apiRevision": "1",
"authenticationSettings": {
"openid": {
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "testopenid"
}
},
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "58da4c4ccdae970a08121230",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/58da4c4ccdae970a08121230",
"properties": {
"path": "petstore",
"description": "This is a sample server Petstore server. You can find out more about Swagger at [http://swagger.io](http://swagger.io) or on [irc.freenode.net, #swagger](http://swagger.io/irc/). For this sample, you can use the api key `special-key` to test the authorization filters.",
"apiRevision": "1",
"authenticationSettings": {
"openid": {
"bearerTokenSendingMethods": [
"authorizationHeader"
],
"openidProviderId": "testopenid"
}
},
"displayName": "Swagger Petstore",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://petstore.swagger.io/v2",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateGraphQLApi
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"type": "graphql",
"path": "graphql-api",
"description": "apidescription5200",
"displayName": "apiname1463",
"protocols": [
"http",
"https"
],
"serviceUrl": "https://api.spacex.land/graphql"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "graphql",
"path": "graphql-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "https://api.spacex.land/graphql",
"subscriptionKeyParameterNames": null
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apidocs?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "graphql",
"path": "graphql-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"https",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "https://api.spacex.land/graphql",
"subscriptionKeyParameterNames": null
}
}
ApiManagementCreateGrpcApi
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"type": "grpc",
"format": "grpc-link",
"path": "grpc-api",
"description": "apidescription5200",
"displayName": "apiname1463",
"protocols": [
"https"
],
"serviceUrl": "https://your-api-hostname/samples",
"value": "https://raw.githubusercontent.com/kedacore/keda/main/pkg/scalers/externalscaler/externalscaler.proto"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "grpc",
"path": "grpc-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"https"
],
"serviceUrl": "https://your-api-hostname/samples",
"subscriptionKeyParameterNames": null
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "grpc",
"path": "grpc-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"https"
],
"serviceUrl": "https://your-api-hostname/samples",
"subscriptionKeyParameterNames": null
}
}
ApiManagementCreateODataApi
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"type": "odata",
"format": "odata-link",
"path": "odata-api",
"description": "apidescription5200",
"displayName": "apiname1463",
"protocols": [
"http",
"https"
],
"serviceUrl": "https://services.odata.org/TripPinWebApiService",
"value": "https://services.odata.org/TripPinWebApiService/$metadata"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "odata",
"path": "odata-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "https://services.odata.org/TripPinWebApiService",
"subscriptionKeyParameterNames": null
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "odata",
"path": "odata-api",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"http",
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "https://services.odata.org/TripPinWebApiService",
"subscriptionKeyParameterNames": null
}
}
ApiManagementCreateSoapPassThroughApiUsingWsdlImport
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview
{
"properties": {
"format": "wsdl-link",
"path": "currency",
"apiType": "soap",
"value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
"wsdlSelector": {
"wsdlEndpointName": "CurrencyConvertorSoap",
"wsdlServiceName": "CurrencyConvertor"
}
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "soapApi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
"properties": {
"type": "soap",
"path": "currency",
"apiRevision": "1",
"displayName": "CurrencyConvertor",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://www.webservicex.net",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "soapApi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
"properties": {
"type": "soap",
"path": "currency",
"apiRevision": "1",
"displayName": "CurrencyConvertor",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://www.webservicex.net",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateSoapToRestApiUsingWsdlImport
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi?api-version=2025-03-01-preview
{
"properties": {
"format": "wsdl-link",
"path": "currency",
"value": "http://www.webservicex.net/CurrencyConvertor.asmx?WSDL",
"wsdlSelector": {
"wsdlEndpointName": "CurrencyConvertorSoap",
"wsdlServiceName": "CurrencyConvertor"
}
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "soapApi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
"properties": {
"path": "currency",
"apiRevision": "1",
"displayName": "CurrencyConvertor",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://www.webservicex.net",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "soapApi",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/soapApi",
"properties": {
"path": "currency",
"apiRevision": "1",
"displayName": "CurrencyConvertor",
"isCurrent": true,
"protocols": [
"https"
],
"provisioningState": "InProgress",
"serviceUrl": "http://www.webservicex.net",
"subscriptionKeyParameterNames": {
"header": "Ocp-Apim-Subscription-Key",
"query": "subscription-key"
}
}
}
ApiManagementCreateWebSocketApi
Permintaan sampel
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview
{
"properties": {
"type": "websocket",
"path": "newapiPath",
"description": "apidescription5200",
"displayName": "apiname1463",
"protocols": [
"wss",
"ws"
],
"serviceUrl": "wss://echo.websocket.org"
}
}
Respon sampel
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=200
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "websocket",
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"ws",
"wss"
],
"provisioningState": "InProgress",
"serviceUrl": "wss://echo.websocket.org",
"subscriptionKeyParameterNames": null
}
}
Azure-AsyncOperation: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/tenant/operationResults/5c730e343244df1b9cb56e85?api-version=2025-03-01-preview
location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/tempgroup?api-version=2025-03-01-preview&asyncId=5c730e343244df1b9cb56e85&asyncCode=201
{
"name": "apiid9419",
"type": "Microsoft.ApiManagement/service/apis",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/apis/apiid9419",
"properties": {
"type": "websocket",
"path": "newapiPath",
"description": "apidescription5200",
"apiRevision": "1",
"authenticationSettings": null,
"displayName": "apiname1463",
"isCurrent": true,
"isOnline": true,
"protocols": [
"ws",
"wss"
],
"provisioningState": "InProgress",
"serviceUrl": "wss://echo.websocket.org",
"subscriptionKeyParameterNames": null
}
}
Definisi
| Nama | Deskripsi |
|---|---|
|
Api |
Informasi kontak API |
|
Api |
Detail API. |
|
Api |
API membuat atau memperbarui parameter. |
|
Api |
Kriteria untuk membatasi impor WSDL ke subset dokumen. |
|
Api |
Informasi lisensi API |
|
Api |
Jenis API. |
|
Api |
Set Versi API berisi konfigurasi umum untuk sekumpulan Versi API yang berkaitan |
|
Authentication |
Pengaturan Autentikasi API. |
|
Bearer |
Bentuk pemberian otorisasi, yang digunakan klien untuk meminta token akses. |
|
Content |
Format Konten tempat API diimpor. Format baru dapat ditambahkan di masa mendatang |
|
created |
Jenis identitas yang membuat sumber daya. |
|
Error |
Info tambahan kesalahan manajemen sumber daya. |
|
Error |
Detail kesalahan. |
|
Error |
Tanggapan kesalahan |
|
OAuth2Authentication |
Detail pengaturan Autentikasi API OAuth2. |
|
Open |
Detail pengaturan Autentikasi API OAuth2. |
| Protocol | |
|
Soap |
Jenis API yang akan dibuat.
|
|
Subscription |
Detail nama parameter kunci langganan. |
|
system |
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya. |
|
Translate |
Strategi menerjemahkan parameter kueri yang diperlukan ke parameter templat. Secara default memiliki nilai 'templat'. Nilai yang mungkin: 'templat', 'kueri' |
|
Versioning |
Nilai yang menentukan di mana pengidentifikasi Versi API akan berada dalam permintaan HTTP. |
ApiContactInformation
Informasi kontak API
| Nama | Jenis | Deskripsi |
|---|---|---|
|
string |
Alamat email orang/organisasi kontak. HARUS dalam format alamat email |
|
| name |
string |
Nama pengidentifikasi orang/organisasi kontak |
| url |
string |
URL yang menunjuk ke informasi kontak. HARUS dalam format URL |
ApiContract
Detail API.
| Nama | Jenis | Deskripsi |
|---|---|---|
| id |
string |
ID sumber daya yang sepenuhnya memenuhi syarat untuk sumber daya. Misalnya - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
Nama sumber daya |
| properties.apiRevision |
string minLength: 1maxLength: 100 |
Menjelaskan revisi API. Jika tidak ada nilai yang disediakan, revisi default 1 dibuat |
| properties.apiRevisionDescription |
string maxLength: 256 |
Deskripsi Revisi API. |
| properties.apiVersion |
string maxLength: 100 |
Menunjukkan pengidentifikasi versi API jika API diberi versi |
| properties.apiVersionDescription |
string maxLength: 256 |
Deskripsi Versi API. |
| properties.apiVersionSet |
Detail set versi |
|
| properties.apiVersionSetId |
string |
Pengidentifikasi sumber daya untuk ApiVersionSet terkait. |
| properties.authenticationSettings |
Kumpulan pengaturan autentikasi yang disertakan dalam API ini. |
|
| properties.contact |
Informasi kontak untuk API. |
|
| properties.description |
string |
Deskripsi API. Dapat mencakup tag pemformatan HTML. |
| properties.displayName |
string minLength: 1maxLength: 300 |
Nama API. Panjangnya harus 1 hingga 300 karakter. |
| properties.isCurrent |
boolean |
Menunjukkan apakah revisi API adalah revisi api saat ini. |
| properties.isOnline |
boolean |
Menunjukkan apakah revisi API dapat diakses melalui gateway. |
| properties.license |
Informasi lisensi untuk API. |
|
| properties.path |
string minLength: 0maxLength: 400 |
URL relatif secara unik mengidentifikasi API ini dan semua jalur sumber dayanya dalam instans layanan API Management. Ini ditambahkan ke URL dasar titik akhir API yang ditentukan selama pembuatan instans layanan untuk membentuk URL publik untuk API ini. |
| properties.protocols |
Protocol[] |
Menjelaskan protokol mana yang dapat dipanggil oleh operasi dalam API ini. |
| properties.provisioningState |
string |
Status provisi |
| properties.serviceUrl |
string minLength: 0maxLength: 2000 |
URL absolut layanan backend yang mengimplementasikan API ini. Panjangnya tidak boleh lebih dari 2000 karakter. |
| properties.sourceApiId |
string |
Pengidentifikasi API dari API sumber. |
| properties.subscriptionKeyParameterNames |
Protokol tempat API tersedia. |
|
| properties.subscriptionRequired |
boolean |
Menentukan apakah API atau Langganan produk diperlukan untuk mengakses API. |
| properties.termsOfServiceUrl |
string |
URL ke Ketentuan Layanan untuk API. HARUS dalam format URL. |
| properties.type |
Jenis API. |
|
| systemData |
Metadata Azure Resource Manager yang berisi informasi createBy dan modifiedBy. |
|
| type |
string |
Jenis sumber daya. Misalnya, "Microsoft.Compute/virtualMachines" atau "Microsoft.Storage/storageAccounts" |
ApiCreateOrUpdateParameter
API membuat atau memperbarui parameter.
| Nama | Jenis | Deskripsi |
|---|---|---|
| apiRevision |
string minLength: 1maxLength: 100 |
Menjelaskan revisi API. Jika tidak ada nilai yang disediakan, revisi default 1 dibuat |
| apiRevisionDescription |
string maxLength: 256 |
Deskripsi Revisi API. |
| apiVersion |
string maxLength: 100 |
Menunjukkan pengidentifikasi versi API jika API diberi versi |
| apiVersionDescription |
string maxLength: 256 |
Deskripsi Versi API. |
| apiVersionSetId |
string |
Pengidentifikasi sumber daya untuk ApiVersionSet terkait. |
| authenticationSettings |
Kumpulan pengaturan autentikasi yang disertakan dalam API ini. |
|
| contact |
Informasi kontak untuk API. |
|
| description |
string |
Deskripsi API. Dapat mencakup tag pemformatan HTML. |
| isCurrent |
boolean |
Menunjukkan apakah revisi API adalah revisi api saat ini. |
| isOnline |
boolean |
Menunjukkan apakah revisi API dapat diakses melalui gateway. |
| license |
Informasi lisensi untuk API. |
|
| properties.apiType |
Jenis API yang akan dibuat.
|
|
| properties.apiVersionSet |
Detail set versi |
|
| properties.displayName |
string minLength: 1maxLength: 300 |
Nama API. Panjangnya harus 1 hingga 300 karakter. |
| properties.format |
Format Konten tempat API diimpor. Format baru dapat ditambahkan di masa mendatang |
|
| properties.path |
string minLength: 0maxLength: 400 |
URL relatif secara unik mengidentifikasi API ini dan semua jalur sumber dayanya dalam instans layanan API Management. Ini ditambahkan ke URL dasar titik akhir API yang ditentukan selama pembuatan instans layanan untuk membentuk URL publik untuk API ini. |
| properties.protocols |
Protocol[] |
Menjelaskan protokol mana yang dapat dipanggil oleh operasi dalam API ini. |
| properties.provisioningState |
string |
Status provisi |
| properties.serviceUrl |
string minLength: 0maxLength: 2000 |
URL absolut layanan backend yang mengimplementasikan API ini. Panjangnya tidak boleh lebih dari 2000 karakter. |
| properties.sourceApiId |
string |
Pengidentifikasi API dari API sumber. |
| properties.translateRequiredQueryParameters |
Strategi menerjemahkan parameter kueri yang diperlukan ke parameter templat. Secara default memiliki nilai 'templat'. Nilai yang mungkin: 'templat', 'kueri' |
|
| properties.value |
string |
Nilai konten saat Mengimpor API. |
| properties.wsdlSelector |
Kriteria untuk membatasi impor WSDL ke subset dokumen. |
|
| subscriptionKeyParameterNames |
Protokol tempat API tersedia. |
|
| subscriptionRequired |
boolean |
Menentukan apakah API atau Langganan produk diperlukan untuk mengakses API. |
| termsOfServiceUrl |
string |
URL ke Ketentuan Layanan untuk API. HARUS dalam format URL. |
| type |
Jenis API. |
ApiCreateOrUpdatePropertiesWsdlSelector
Kriteria untuk membatasi impor WSDL ke subset dokumen.
| Nama | Jenis | Deskripsi |
|---|---|---|
| wsdlEndpointName |
string |
Nama titik akhir(port) untuk diimpor dari WSDL |
| wsdlServiceName |
string |
Nama layanan yang akan diimpor dari WSDL |
ApiLicenseInformation
Informasi lisensi API
| Nama | Jenis | Deskripsi |
|---|---|---|
| name |
string |
Nama lisensi yang digunakan untuk API |
| url |
string |
URL ke lisensi yang digunakan untuk API. HARUS dalam format URL |
ApiType
Jenis API.
| Nilai | Deskripsi |
|---|---|
| http | |
| soap | |
| websocket | |
| graphql | |
| odata | |
| grpc |
ApiVersionSetContractDetails
Set Versi API berisi konfigurasi umum untuk sekumpulan Versi API yang berkaitan
| Nama | Jenis | Deskripsi |
|---|---|---|
| description |
string |
Deskripsi Set Versi API. |
| id |
string |
Pengidentifikasi untuk Set Versi API yang ada. Hilangkan nilai ini untuk membuat Set Versi baru. |
| name |
string |
Nama tampilan Set Versi API. |
| versionHeaderName |
string |
Nama parameter header HTTP yang menunjukkan Versi API jika penerapan versiScheme diatur ke |
| versionQueryName |
string |
Nama parameter kueri yang menunjukkan Versi API jika penerapan versiScheme diatur ke |
| versioningScheme |
Nilai yang menentukan di mana pengidentifikasi Versi API akan berada dalam permintaan HTTP. |
AuthenticationSettingsContract
Pengaturan Autentikasi API.
| Nama | Jenis | Deskripsi |
|---|---|---|
| oAuth2 |
Pengaturan Autentikasi OAuth2 |
|
| oAuth2AuthenticationSettings |
Kumpulan pengaturan autentikasi OAuth2 yang disertakan ke dalam API ini. |
|
| openid |
Pengaturan Autentikasi OpenID Connect |
|
| openidAuthenticationSettings |
Kumpulan pengaturan autentikasi Open ID Connect yang disertakan ke dalam API ini. |
BearerTokenSendingMethods
Bentuk pemberian otorisasi, yang digunakan klien untuk meminta token akses.
| Nilai | Deskripsi |
|---|---|
| authorizationHeader |
Token akses akan ditransmisikan di header Otorisasi menggunakan skema Bearer |
| query |
Token akses akan ditransmisikan sebagai parameter kueri. |
ContentFormat
Format Konten tempat API diimpor. Format baru dapat ditambahkan di masa mendatang
| Nilai | Deskripsi |
|---|---|
| wadl-xml |
Isinya sebaris dan Jenis konten adalah dokumen WADL. |
| wadl-link-json |
Dokumen WADL dihosting di alamat internet yang dapat diakses publik. |
| swagger-json |
Isinya sebaris dan Tipe Konten adalah Dokumen JSON OpenAPI 2.0. |
| swagger-link-json |
Dokumen JSON OpenAPI 2.0 dihosting di alamat internet yang dapat diakses publik. |
| wsdl |
Isinya sebaris dan dokumennya adalah dokumen WSDL/Soap. |
| wsdl-link |
Dokumen WSDL dihosting di alamat internet yang dapat diakses publik. |
| openapi |
Isinya sebaris dan Tipe Konten adalah Dokumen OpenAPI 3.0 YAML. |
| openapi+json |
Kontennya sebaris dan Jenis Konten adalah Dokumen JSON OpenAPI 3.0. |
| openapi-link |
Dokumen YAML OpenAPI 3.0 dihosting di alamat internet yang dapat diakses publik. |
| openapi+json-link |
Dokumen JSON OpenAPI 3.0 dihosting di alamat internet yang dapat diakses publik. |
| graphql-link |
Titik akhir API GraphQL dihosting di alamat internet yang dapat diakses publik. |
| odata |
Isinya sebaris dan Tipe Konten adalah Dokumen XML OData. |
| odata-link |
Dokumen metadata OData yang dihosting di alamat internet yang dapat diakses publik. |
| grpc |
Isinya sebaris dan Tipe Konten adalah file protobuf gRPC. |
| grpc-link |
File protobuf gRPC dihosting di alamat internet yang dapat diakses publik. |
createdByType
Jenis identitas yang membuat sumber daya.
| Nilai | Deskripsi |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Info tambahan kesalahan manajemen sumber daya.
| Nama | Jenis | Deskripsi |
|---|---|---|
| info |
object |
Info tambahan. |
| type |
string |
Jenis info tambahan. |
ErrorDetail
Detail kesalahan.
| Nama | Jenis | Deskripsi |
|---|---|---|
| additionalInfo |
Info tambahan kesalahan. |
|
| code |
string |
Kode kesalahan. |
| details |
Detail kesalahan. |
|
| message |
string |
Pesan kesalahan. |
| target |
string |
Target kesalahan. |
ErrorResponse
Tanggapan kesalahan
| Nama | Jenis | Deskripsi |
|---|---|---|
| error |
Objek kesalahan. |
OAuth2AuthenticationSettingsContract
Detail pengaturan Autentikasi API OAuth2.
| Nama | Jenis | Deskripsi |
|---|---|---|
| authorizationServerId |
string |
Pengidentifikasi server otorisasi OAuth. |
| scope |
string |
cakupan operasi. |
OpenIdAuthenticationSettingsContract
Detail pengaturan Autentikasi API OAuth2.
| Nama | Jenis | Deskripsi |
|---|---|---|
| bearerTokenSendingMethods |
Cara mengirim token ke server. |
|
| openidProviderId |
string |
Pengidentifikasi server otorisasi OAuth. |
Protocol
| Nilai | Deskripsi |
|---|---|
| http | |
| https | |
| ws | |
| wss |
SoapApiType
Jenis API yang akan dibuat.
-
httpmembuat REST API -
soapmembuat API pass-through SOAP -
websocketmembuat API websocket -
graphqlmembuat API GraphQL. Jenis baru dapat ditambahkan di masa mendatang.
| Nilai | Deskripsi |
|---|---|
| http |
Mengimpor API SOAP yang memiliki front end RESTful. |
| soap |
Mengimpor API SOAP yang memiliki ujung depan SOAP. |
| websocket |
Mengimpor API yang memiliki front end Websocket. |
| graphql |
Mengimpor API yang memiliki front end GraphQL. |
| odata |
Mengimpor API yang memiliki front end OData. |
| grpc |
Mengimpor API yang memiliki front end gRPC. |
SubscriptionKeyParameterNamesContract
Detail nama parameter kunci langganan.
| Nama | Jenis | Deskripsi |
|---|---|---|
| header |
string |
Nama header kunci langganan. |
| query |
string |
Nama parameter string kueri kunci langganan. |
systemData
Metadata yang berkaitan dengan pembuatan dan modifikasi terakhir sumber daya.
| Nama | Jenis | Deskripsi |
|---|---|---|
| createdAt |
string (date-time) |
Tanda waktu pembuatan sumber daya (UTC). |
| createdBy |
string |
Identitas yang membuat sumber daya. |
| createdByType |
Jenis identitas yang membuat sumber daya. |
|
| lastModifiedAt |
string (date-time) |
Stempel waktu modifikasi terakhir sumber daya (UTC) |
| lastModifiedBy |
string |
Identitas yang terakhir mengubah sumber daya. |
| lastModifiedByType |
Jenis identitas yang terakhir memodifikasi sumber daya. |
TranslateRequiredQueryParametersConduct
Strategi menerjemahkan parameter kueri yang diperlukan ke parameter templat. Secara default memiliki nilai 'templat'. Nilai yang mungkin: 'templat', 'kueri'
| Nilai | Deskripsi |
|---|---|
| template |
Menerjemahkan parameter kueri yang diperlukan ke parameter templat. Adalah nilai default |
| query |
Meninggalkan parameter kueri yang diperlukan apa adanya (tidak ada terjemahan yang dilakukan). |
VersioningScheme
Nilai yang menentukan di mana pengidentifikasi Versi API akan berada dalam permintaan HTTP.
| Nilai | Deskripsi |
|---|---|
| Segment |
Versi API diteruskan dalam segmen jalur. |
| Query |
Versi API diteruskan dalam parameter kueri. |
| Header |
Versi API diteruskan dalam header HTTP. |